import { ParamSerializationConfig } from './converters/index.js';
export { NumberParam, ObjectParam, StringParam } from './converters/index.js';
import * as vue from 'vue';
import { Plugin } from 'vue';
import 'vue-router';

declare function useQueryParam<TParam>(name: string, { serialize, deserialize }: ParamSerializationConfig<TParam>): vue.WritableComputedRef<TParam>;

declare function withDefault<TParam>({ serialize, deserialize }: ParamSerializationConfig<TParam>, defaultValue: NonNullable<TParam>): ParamSerializationConfig<TParam>;

type UseQueryParamPluginOptions = {
    debounceDelay?: number;
};
declare const useQueryParamPlugin: Plugin<UseQueryParamPluginOptions>;

export { ParamSerializationConfig, useQueryParamPlugin as default, useQueryParam, withDefault };
